| Flutter Linux Embedder |

Classes | Functions
fl_renderer_headless.cc File Reference
`#include "fl_renderer_headless.h"`

Go to the source code of this file.

## Classes
struct | _FlRendererHeadless

## Functions
static gboolean | fl_renderer_headless_create_contexts (FlRenderer *renderer, GtkWidget *widget, GdkGLContext **visible, GdkGLContext **resource, GError **error)
static gboolean | fl_renderer_headless_create_backing_store (FlRenderer *renderer, const FlutterBackingStoreConfig *config, FlutterBackingStore *backing_store_out)
static gboolean | fl_renderer_headless_collect_backing_store (FlRenderer *self, const FlutterBackingStore *backing_store)
static gboolean | fl_renderer_headless_present_layers (FlRenderer *self, const FlutterLayer **layers, size_t layers_count)
static void | fl_renderer_headless_class_init (FlRendererHeadlessClass *klass)
static void | fl_renderer_headless_init (FlRendererHeadless *self)
FlRendererHeadless * | fl_renderer_headless_new ()

## Function Documentation

## ◆ fl_renderer_headless_class_init()

static void fl_renderer_headless_class_init | ( | FlRendererHeadlessClass * | klass | ) |
| static

Definition at line 44 of file fl_renderer_headless.cc.

44 {
45 FL_RENDERER_CLASS(klass)->create_contexts =
46 fl_renderer_headless_create_contexts;
47 FL_RENDERER_CLASS(klass)->create_backing_store =
48 fl_renderer_headless_create_backing_store;
49 FL_RENDERER_CLASS(klass)->collect_backing_store =
50 fl_renderer_headless_collect_backing_store;
51 FL_RENDERER_CLASS(klass)->present_layers =
52 fl_renderer_headless_present_layers;
53 }

References fl_renderer_headless_collect_backing_store(), fl_renderer_headless_create_backing_store(), fl_renderer_headless_create_contexts(), and fl_renderer_headless_present_layers().

## ◆ fl_renderer_headless_collect_backing_store()

static gboolean fl_renderer_headless_collect_backing_store | ( | FlRenderer * | self,
|  | const FlutterBackingStore * | backing_store
| ) |  |
| static

Definition at line 31 of file fl_renderer_headless.cc.

33 {
34 return FALSE;
35 }

Referenced by fl_renderer_headless_class_init().

## ◆ fl_renderer_headless_create_backing_store()

static gboolean fl_renderer_headless_create_backing_store | ( | FlRenderer * | renderer,
|  | const FlutterBackingStoreConfig * | config,
|  | FlutterBackingStore * | backing_store_out
| ) |  |
| static

Definition at line 23 of file fl_renderer_headless.cc.

26 {
27 return FALSE;
28 }

Referenced by fl_renderer_headless_class_init().

## ◆ fl_renderer_headless_create_contexts()

static gboolean fl_renderer_headless_create_contexts | ( | FlRenderer * | renderer,
|  | GtkWidget * | widget,
|  | GdkGLContext ** | visible,
|  | GdkGLContext ** | resource,
|  | GError ** | error
| ) |  |
| static

Definition at line 14 of file fl_renderer_headless.cc.

18 {
19 return FALSE;
20 }

Referenced by fl_renderer_headless_class_init().

## ◆ fl_renderer_headless_init()

static void fl_renderer_headless_init | ( | FlRendererHeadless * | self | ) |
| static

Definition at line 55 of file fl_renderer_headless.cc.

55 {}

## ◆ fl_renderer_headless_new()

FlRendererHeadless* fl_renderer_headless_new | ( |  | ) |

Definition at line 57 of file fl_renderer_headless.cc.

57 {
58 return FL_RENDERER_HEADLESS(
59 g_object_new(fl_renderer_headless_get_type(), nullptr));
60 }

Referenced by fl_engine_new_headless().

## ◆ fl_renderer_headless_present_layers()

static gboolean fl_renderer_headless_present_layers | ( | FlRenderer * | self,
|  | const FlutterLayer ** | layers,
|  | size_t | layers_count
| ) |  |
| static

Definition at line 38 of file fl_renderer_headless.cc.

40 {
41 return FALSE;
42 }

Referenced by fl_renderer_headless_class_init().

fl_renderer_headless_collect_backing_store
static gboolean fl_renderer_headless_collect_backing_store(FlRenderer *self, const FlutterBackingStore *backing_store)
Definition: fl_renderer_headless.cc:31
fl_renderer_headless_create_contexts
static gboolean fl_renderer_headless_create_contexts(FlRenderer *renderer, GtkWidget *widget, GdkGLContext **visible, GdkGLContext **resource, GError **error)
Definition: fl_renderer_headless.cc:14
fl_renderer_headless_create_backing_store
static gboolean fl_renderer_headless_create_backing_store(FlRenderer *renderer, const FlutterBackingStoreConfig *config, FlutterBackingStore *backing_store_out)
Definition: fl_renderer_headless.cc:23
fl_renderer_headless_present_layers
static gboolean fl_renderer_headless_present_layers(FlRenderer *self, const FlutterLayer **layers, size_t layers_count)
Definition: fl_renderer_headless.cc:38